﻿@model IEnumerable<WebAppLibrary.Models.DAO.Author>

@{
    ViewData["Title"] = "Authors";
}

<h1>@ViewData["Title"]</h1>

<p>
    <a asp-action="Create">Create New</a>
</p>
<table class="table">
    <thead>
        <tr>
            <th>
                @Html.DisplayNameFor(model => model.Id)
            </th>
            <th>
                @Html.DisplayNameFor(model => model.FirstName)
            </th>
            <th>
                @Html.DisplayNameFor(model => model.LastName)
            </th>
            <th>
                @Html.DisplayNameFor(model => model.CountryOrigin)
            </th>
            <th></th>
        </tr>
    </thead>
    <tbody>
@foreach (var item in Model) {
        <tr>
            <td>
                @Html.DisplayFor(modelItem => item.Id)
            </td>
            <td>
                @Html.DisplayFor(modelItem => item.FirstName)
            </td>
            <td>
                @Html.DisplayFor(modelItem => item.LastName)
            </td>
            <td>
                @Html.DisplayFor(modelItem => item.CountryOrigin.Nombre)
            </td>
            <td>
                    @Html.ActionLink("Edit", "Edit", new {          id=item.Id }) |
                    @Html.ActionLink("Details", "Details", new {    id=item.Id }) |
                    @Html.ActionLink("Delete", "Delete", new {      id=item.Id })
            </td>
        </tr>
}
    </tbody>
</table>
